Subject: bug#67572: tests fail for python-sphinx-prompt

From: Vagrant Cascadian <[email-masked]>
Date: Fri, 01 Dec 2023 13:17:14 -0800

On 2023-12-01, Vagrant Cascadian wrote:
> All 12 of the tests for python-sphinx-prompt fail:
>
>   https://ci.guix.gnu.org/build/2678884/log/raw
>
> I tried updating python-sphinx-prompt to the newer 1.8.x version, which
> switched to pyproject and poetry, but may require a newer version of
> poetry. Someone else with more experience packaging python might want to
> give it a try...

I also tried updating to the 1.7.0 version, and that managed to get
*some* of the tests to pass. I could not get 1.8.0 to build at all;
maybe needs new python-poetry-core version?

diff --git a/gnu/packages/sphinx.scm b/gnu/packages/sphinx.scm
index eee1f1c4a8..2a8f35d387 100644
--- a/gnu/packages/sphinx.scm
+++ b/gnu/packages/sphinx.scm
@@ -625,7 +625,7 @@ (define-public python-sphinx-repoze-autointerface
 (define-public python-sphinx-prompt
   (package
     (name "python-sphinx-prompt")
-    (version "1.5.0")
+    (version "1.7.0")
     (source
      (origin
        (method git-fetch)               ; no source release in PyPI
@@ -634,8 +634,8 @@ (define-public python-sphinx-prompt
              (commit version)))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "0x9wmgf04rzivbzp7jv1b7fkhkpi02lpk5w1qf4i7bcgih00ym8a"))))
-    (build-system python-build-system)
+        (base32 "0hq2apa5dgznbqnnlvykhwq74jcnjfl7gzmkncj8q1mwqm558z7x"))))
+    (build-system pyproject-build-system)
     (arguments
      `(#:phases
        (modify-phases %standard-phases
@@ -645,7 +645,7 @@ (define-public python-sphinx-prompt
                (add-installed-pythonpath inputs outputs)
                (invoke "python" "-m" "pytest")))))))
     (native-inputs
-     (list python-pytest python-sphinx))
+     (list python-pytest python-sphinx python-poetry-core))
     (home-page "https://github.com/sbrunner/sphinx-prompt")
     (synopsis "Sphinx directive to add unselectable prompt")
     (description

live well,
  vagrant